/**==========================================================================
Hochschule Luzern - Technik & Architektur            Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                              http://hslu.ximit.ch
-----------------------------------------------------------------------------
Name        : Uebung_1-3.c
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-09-22v1.0
Description : Uebung_1-2
              Integer nach Binary (iToBinary)
===========================================================================*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/**
* Integer to Binary String Converter
* @param value Integer to convert
*/
void iToBinary(int value);


/**
 * The main procedure to run the application.
 * @param argc Number of command line arguments
 * @param argv The forwarded command line arguments
 * @return Application return (error) code
 */
int main(int argc, char** argv)
{
	int wert;

	printf("Wert als Integer (auch negativ): ");
    scanf("%d", &wert);
	fflush(stdin); //flushes the input stream and gets rid of '\n'

	iToBinary(wert);
	
	printf("\n\nPress [Enter] to exit...");
	getchar();
	return(EXIT_SUCCESS);
}

void iToBinary(int value)
{
	int cmp = 1;
	int cnt;
	char res[sizeof(int) * 8 + 1]; //get size of Integer * 8 (bits) + 1
	memset(res, 0, sizeof(res)); // Sets buffers to a specified character

	cnt = sizeof(int) * 8;
	while (cnt != 0)
	{
		cnt--;
		res[cnt] = (value & cmp) ? '1' : '0';
		cmp <<= 1;
	}
	printf("Integer: %d\n", value);
	printf("Binary:  %s\n", res);

}
