/**==========================================================================
Hochschule Luzern - Technik & Architektur            Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                              http://hslu.ximit.ch
-----------------------------------------------------------------------------
Name        : Uebung_1-5.c
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-09-22v1.0
Description : Umrechnung Fahrenheit -> Celsius mit Funktion
===========================================================================*/

#include <stdio.h>
#include <stdlib.h>

/**
* Convert Fahrenheit -> Celsius
* @param value Fahrenheit
* @return Value in Celsius
*/
float fahrenheitToCelsius(float fahrenheit);

/**
 * The main procedure to run the application.
 * @param argc Number of command line arguments
 * @param argv The forwarded command line arguments
 * @return Application return (error) code
 */
int main(int argc, char** argv)
{
	float f, c;
	int start = 0;
	int end = 210;
	int step = 15;

	printf("Fahrenh.\tCelsius\n");
	for(f = start; f <= end; f += step) {
		c = fahrenheitToCelsius(f);
		printf("%d\t\t%f\n", (int)f, c);
	}

	printf("\n\nPress [Enter] to exit...");
	getchar();
	return(EXIT_SUCCESS);
}

float fahrenheitToCelsius(float fahrenheit)
{
	return (5.0f / 9.0f) * (fahrenheit - 32.0f);
}